package zhengshuxitong

import "shylinux.com/x/ice"

type auth struct{ Table }

func init() { ice.TeamCtxCmd(auth{}) }

type AuthType int

const (
	AuthRD AuthType = iota
	AuthOP
	AuthHR
)

var AuthTypeList = map[AuthType]string{
	AuthRD: "RD",
	AuthOP: "OP",
	AuthHR: "HR",
}

func (s AuthType) String() string { return AuthTypeList[s] }